#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xEB,0x87,0x2D,0x9C,0xED,0x5B,0x2A,0xBF,0x95,0x29,0xD0,0xE7,
		0xC9,0xD3,0x05,0xAE,0xD8,0x8E,0x15,0xF9,0x28,0x67,0xAF,0x16,
		0x5B,0xA7,0x85,0x7F,0xCF,0xDA,0xC0,0xE4,0x55,0xF5,0x68,0xB6,
		0xCE,0xA1,0xE3,0x26,0x53,0xE7,0x15,0x3F,0xEB,0x9B,0xCA,0xCB,
		0xE7,0x7E,0x7E,0xC9,0x5A,0x29,0x28,0xE5,0x0F,0x7A,0x92,0x25,
		0xFF,0xBC,0x1B,0xEB,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
